Name:          nethogs
Version:       0.8.1
Release:       1mamba
Summary:       NetHogs is a small 'net top' tool.
Group:         Applications/Networking
Vendor:        openmamba
Distribution:  openmamba
Packager:      Ercole 'ercolinux' Carpanetto <ercole69@gmail.com>
URL:           http://nethogs.sourceforge.net/
Source:        https://github.com/raboof/nethogs.git/v%{version}/nethogs-%{version}.tar.bz2
Patch:         nethogs-makelist.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libncurses-devel
BuildRequires: libpcap-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%debug_package

%description
NetHogs is a small 'net top' tool. Instead of breaking the traffic down per protocol or per subnet, like most tools do, it groups bandwidth by process. NetHogs does not rely on a special kernel module to be loaded. If there's suddenly a lot of network traffic, you can fire up NetHogs and immediately see which PID is causing this. This makes it easy to indentify programs that have gone wild and are suddenly taking up your bandwidth.

%prep
%setup -q
#%patch -p1

%build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall prefix=%{_prefix}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_sbindir}/nethogs
%{_mandir}/man8/nethogs.8*

%changelog
* Fri May 20 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.1-1mamba
- update to 0.8.1

* Sun Apr 29 2012 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.8.0-1mamba
- package created by autospec
